#ifndef __PORT_IO_H__
#define __PORT_IO_H__

#include "common.h"

typedef void(*pio_callback_t)(ioaddr_t, int, bool);

void* add_pio_map(ioaddr_t, int, pio_callback_t);

template <size_t Bytes>
uint32_t pio_read_common(ioaddr_t addr);

template <size_t Bytes>
void pio_write_common(ioaddr_t addr, uint32_t data);

#endif
